package com.xy.enums;

import cn.hutool.core.util.ArrayUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 短信场景枚举
 *
 * @author 谭斌
 * @date 2023/08/10
 */
@Getter
@AllArgsConstructor
public enum SmsSceneEnum {

    B_WX_MINI_BIND(1, "B端设置 - 绑定微信小程序"),
    B_WX_MP_BIND(2, "B端设置 - 绑定微信公众号"),
    B_ALIPAY_BIND(3, "B端设置 - 绑定支付宝"),
    B_PAY_ACCOUNT_WX_CONFIG(4, "商户信息修改 - 微信收款号配置"),
    B_PAY_ACCOUNT_ALIPAY_SCAN_CONFIG(5, "商户信息修改 - 支付宝扫码收款号配置"),
    B_PAY_ACCOUNT_ALIPAY_FACE_CONFIG(6, "商户信息修改 - 支付刷脸收款号配置"),
    C_UN_PAY_NOTIFY(7, "C端订单 - 余额不足-未支付"),
    C_FILL_ORDER_NOTIFY(8, "C端订单 - 补单"),
    B_CHANGE_TEL(9, "B端个人中心 - 修改手机号"),
    B_EXTRA_FEE_CONFIG(10, "商管端 - 佣金配置"),
    B_SEPARATE_ACCOUNT(11, "商管端 - 分账比例配置"),
    B_PAY_INFO_ID_CONFIG(12, "B端设置 - 进件ID设置");


    /**
     * 验证场景的编号
     */
    private final Integer scene;

    /**
     * 描述
     */
    private final String description;


    public static SmsSceneEnum getCodeByScene(Integer scene) {
        return ArrayUtil.firstMatch(sceneEnum -> sceneEnum.getScene().equals(scene),
                values());
    }

}
